Subject: bug#9203: 24.0.50; some Clang experience

From: Peter Dyballa <[email-masked]>
Date: Sat, 30 Jul 2011 14:58:28 +0200

Am 30.07.2011 um 14:27 schrieb Eli Zaretskii:

>> From: Peter Dyballa <[email-masked]>
>> Date: Sat, 30 Jul 2011 13:53:30 +0200
>> 
>> When using
>> 
>> 	Apple clang version 2.0 (tags/Apple/clang-139) (based on LLVM 2.9svn)
>> 	Target: x86_64-apple-darwin10
>> 	Thread model: posix
>> 
>> to compile GNU Emacs on Mac OS X 10.6.8 with intel Core i7 it warns about some statements:
>> 
>> emacs-24.0.50/lib-src/../src/regex.c:6603:15: warning: 
>>      comparison of unsigned enum expression >= 0 is always true [-Wtautological-compare]
>>      if (ret >= 0)
>>          ~~~ ^  ~
> 
> `ret' is of the type `reg_errcode_t', which is an enumerated data
> type, so its signedness is implementation-defined, AFAIK.  Why did you
> use that particular warning option?

I did not use any. Here is the configure invocation:

	env LANG=C PATH=/opt/local/bin:$PATH ./configure --without-sound --without-dbus --without-pop --without-gconf --without-gpm --with-ns --disable-ns-self-contained --enable-locallisppath=/Library/Application\ Support/Emacs/calendar24:/Library/Application\ Support/Emacs CFLAGS="-v -g -H -pipe -fPIC -fno-common -m64 -mtune=core2 -march=core2 -Os -fomit-frame-pointer -foptimize-register-move -ftree-vectorize" LDFLAGS="-Wl,-dead_strip_dylibs -Wl,-bind_at_load -Wl,-t" CC=clang CXX=clang++ PKG_CONFIG_PATH=/opt/local/lib/pkgconfig:/opt/local/share/pkgconfig:/usr/lib/pkgconfig

I thick Clang tells us how to avoid such reports. At least I don't get the one cited when I add -Wtautological-compare to the CFLAGS and configure and compile.

Purpose of my report is merely to point to possibly unclean code. Clangs really reports a lot!

--
Greetings

  Pete

There are three types of people in this world: those who can count, and those who cannot.